org.kie.api.runtime.conf

## Class TimedRuleExectionOption

- java.lang.Object
- - org.kie.api.runtime.conf.TimedRuleExectionOption

- All Implemented Interfaces:
    Serializable, Option, KieSessionOption, SingleValueKieSessionOption
  Direct Known Subclasses:
    TimedRuleExectionOption.FILTERED

      public class TimedRuleExectionOption
      extends Object
      implements SingleValueKieSessionOption

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimedRuleExectionOption.FILTERED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimedRuleExectionOption` | `NO`
    `static String` | `PROPERTY_NAME`
    `static TimedRuleExectionOption` | `YES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimedRuleExecutionFilter` | `getFilter()`
    `String` | `getPropertyName()` Returns the property name for this option
    `static TimedRuleExectionOption` | `resolve(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### YES

          public static final TimedRuleExectionOption YES

    - #### NO

          public static final TimedRuleExectionOption NO

  - ### Method Detail

    - #### getPropertyName

          public String getPropertyName()

      Description copied from interface: `Option`
      Returns the property name for this option
      Specified by:
        `getPropertyName` in interface `Option`
      Returns:

    - #### getFilter

          public TimedRuleExecutionFilter getFilter()

    - #### resolve

          public static TimedRuleExectionOption resolve(String value)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.